# Run tests in check section
%bcond_without check

%global goipath         golang.org/x/sync
%global forgeurl        https://github.com/golang/sync
%global commit          e225da77a7e68af35c70ccbf71af2b83e6acac3c

%global common_description %{expand:
Go concurrency primitives.}

%gometa

Name:    %{goname}
Version: 0
Release: 0.7%{?dist}
Summary: Go concurrency primitives
License: BSD
URL:     %{gourl}
Source:  %{gosource}

%description
%{common_description}


%package    devel
Summary:    %{summary}
BuildArch:  noarch

Provides: golang-github-golang-sync-devel = %{version}-%{release}
Obsoletes: golang-github-golang-sync-devel < 0-0.3.20180314gitfd80eb9
 
%description devel
%{common_description}
 
This package contains the source code needed for building packages that import
the %{goipath} Go namespace.


%prep
%forgesetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md PATENTS CONTRIBUTORS CONTRIBUTING.md AUTHORS


%changelog
* Sat Mar 02 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.7.20190302gite225da7
- Bump to upstream e225da77a7e68af35c70ccbf71af2b83e6acac3c

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.gitfd80eb9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.5.gitfd80eb9
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.4.gitfd80eb9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Mar 08 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.3.20180316gitfd80eb9
- Update with the new Go packaging

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.20171101gitfd80eb9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Dec 07 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20171101gitfd80eb9
- Upstream GIT revision fd80eb9

* Mon Jul 24 2017 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20170517gitf52d181
- First package for Fedora

